Skip to main content
GET
/
api
/
v1
/
merchant
/
webhooks
/
notifications
/
{id}
Get webhook notification details
curl --request GET \
  --url https://payments.oaknetwork.org/api/v1/merchant/webhooks/notifications/{id} \
  --header 'Authorization: Bearer <token>'
{
  "msg": "<string>",
  "data": {
    "notificationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "data": {
      "type": "<string>",
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
    },
    "isAcknowledged": true
  }
}

Authorizations

Authorization
string
header
required

Merchant authentication token. Obtained via POST /api/v1/merchant/token/grant. Pass as: Authorization: Bearer

Path Parameters

id
string<uuid>
required

Response

Notification details

msg
string
required

Human-readable message describing the result

data
object
required

Response payload (null on error)